com.holonplatform.vaadin.flow.components.builders

## Interface ThemableFlexComponentConfigurator<C extends ThemableFlexComponentConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Superinterfaces:
    ComponentConfigurator<C>, FlexComponentConfigurator<C>, HasComponentsConfigurator<C>, HasElementConfigurator<C>, HasEnabledConfigurator<C>, HasSizeConfigurator<C>, HasStyleConfigurator<C>, ThemableLayoutConfigurator<C>
  All Known Subinterfaces:
    HorizontalLayoutBuilder, ThemableFlexComponentConfigurator.HorizontalLayoutConfigurator, ThemableFlexComponentConfigurator.VerticalLayoutConfigurator, VerticalLayoutBuilder

      public interface ThemableFlexComponentConfigurator<C extends ThemableFlexComponentConfigurator<C>>
      extends FlexComponentConfigurator<C>, ThemableLayoutConfigurator<C>, ComponentConfigurator<C>

  Configurator for `FlexComponent` and `ThemableLayout` type components.
  Since:
    5.2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ThemableFlexComponentConfigurator.HorizontalLayoutConfigurator`
    `static interface` | `ThemableFlexComponentConfigurator.VerticalLayoutConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ThemableFlexComponentConfigurator.HorizontalLayoutConfigurator` | `configure(com.vaadin.flow.component.orderedlayout.HorizontalLayout component)` Get a new `ThemableFlexComponentConfigurator.HorizontalLayoutConfigurator` for given component.
    `static ThemableFlexComponentConfigurator.VerticalLayoutConfigurator` | `configure(com.vaadin.flow.component.orderedlayout.VerticalLayout component)` Get a new `ThemableFlexComponentConfigurator.VerticalLayoutConfigurator` for given component.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FlexComponentConfigurator

      `addAndAlign, addAndExpand, addAndExpand, align, alignItems, alignSelf, expand, flexGrow, justifyContentMode`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasComponentsConfigurator

      `add, add`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ThemableLayoutConfigurator

      `boxSizing, margin, margin, padding, padding, spacing, spacing, withoutMargin, withoutPadding, withoutSpacing`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

- - ### Method Detail

    - #### configure

          static ThemableFlexComponentConfigurator.VerticalLayoutConfigurator configure(com.vaadin.flow.component.orderedlayout.VerticalLayout component)

      Get a new `ThemableFlexComponentConfigurator.VerticalLayoutConfigurator` for given component.
      Parameters:
        `component` - The component to configure (not null)
      Returns:
        A new `ThemableFlexComponentConfigurator.VerticalLayoutConfigurator`

    - #### configure

          static ThemableFlexComponentConfigurator.HorizontalLayoutConfigurator configure(com.vaadin.flow.component.orderedlayout.HorizontalLayout component)

      Get a new `ThemableFlexComponentConfigurator.HorizontalLayoutConfigurator` for given component.
      Parameters:
        `component` - The component to configure (not null)
      Returns:
        A new `ThemableFlexComponentConfigurator.HorizontalLayoutConfigurator`

Copyright © 2019 The Holon Platform. All rights reserved.